import src
from src.api import oking


def get_config(job_name):
    modules: list = [oking.Module(**m) for m in src.client_data.get('modulos')]
    for module in modules:
        if module.job_name in job_name:
            findjob = module
            break
    return {
        'db_host': src.client_data.get('host'),
        'db_port': src.client_data.get('port'),
        'db_user': src.client_data.get('user'),
        'db_type': src.client_data.get('db_type'),
        'db_seller': src.client_data.get('loja_id'),
        'db_name': src.client_data.get('database'),
        'db_pwd': src.client_data.get('password'),
        'db_client': src.client_data.get('diretorio_client'),
        'send_logs': findjob.send_logs,
        'enviar_logs': findjob.send_logs,
        'job_name': findjob.job_name,
        'ativo': findjob.ativo,
        'executar_query_semaforo': findjob.executar_query_semaforo,
        'sql': findjob.sql,
        'semaforo_sql': findjob.exists_sql,
        'query_final': findjob.query_final,
        'ultima_execucao': findjob.ultima_execucao
    }
